<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"   "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>svrmailer User Email Contact Utility</title>


<!-- 
	University of Illinois/NCSA Open Source License for dsbrun.php.

Copyright (c) 2008 Jim Champ/Surrey County Council 
All rights reserved.
Developed by: 		Jim Champ
                    www.devboats.co.uk/idmphp/
Permission is hereby granted, free of charge, to any person obtaining a
copy of this software and associated documentation files (the
"Software"), to deal with the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimers. 

Redistributions in binary form must reproduce the above
copyright notice, this list of conditions and the following disclaimers
in the documentation and/or other materials provided with the
distribution. 

Neither the names of Surrey County Council nor the names of its contributors may be used to endorse
or promote products derived from this Software without specific prior
written permission. 
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE CONTRIBUTORS OR COPYRIGHT HOLDERS BE LIABLE FOR
ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS WITH THE SOFTWARE. 
*/
-->

</head>

<body>

<h1>User Email Contact Utility</h1>

<p>This utility is intended to let you email either all users from a
given context or else all users with home directories on a given server.</p>
<!-- Content -->
<form method="post" action="dssvrmailer.php"
	enctype="x-www-form-urlencoded">
<table summary="User Entry Form">
	<tr>
		<td>LDAP Admin User ID:</td>
		<td><input type="text" name="edir_ldap_id" size="40"
			maxlength="60" /></td>
	</tr>
	<tr>
		<td>Admin User LDAP Context:</td>
		<td><input type="text" name="edir_ldap_cx" size="40"
			maxlength="60" value="ou=yourITdeptOU,o=yourdomain" /></td>
	</tr>
	<tr>
		<td>LDAP Password:</td>
		<td><input type="password" name="edir_ldap_pw" size="40"
			maxlength="60" /></td>
	</tr>
	<tr>
		<td>LDAP Server:</td>
		<td><input type="text" name="edir_ldap_server" size="40"
			maxlength="60" value="dsmasterserver.yourdomain.com" /></td>
	</tr>

	<tr>
		<td>Base OU for user search</td>
		<td><input type="text" name="search_ou" size="40" maxlength="60"
			value="o=yourdomain" /></td>
	</tr>
	<tr>
		<td colspan="2">
		<hr />
		</td>
	</tr>

	<tr>
		<td colspan="2"><input type="radio" name="search_type" value="ou" />Email
		all users under Base OU</td>

	</tr>

	<tr>
		<td colspan="2">or</td>
	</tr>

	<tr>
		<td><input type="radio" name="search_type" value="homedir" />Only
		users with homedir on</td>
		<td><input type="text" name="svr_name" size="40" maxlength="60"
			value="[server name]" /></td>
	</tr>

	<tr>
		<td colspan="2">
		<hr />
		</td>
	</tr>
	<tr>
		<td colspan="2"><input type="radio" name="mail_type" value="list" />Return
		page of email addresses only</td>
	</tr>
	<tr>
		<td colspan="2">or</td>
	</tr>

	<tr>
		<td><input type="radio" name="mail_type" value="useform" />Email
		users this text:</td>
		<td><input type="text" name="mail_title" size="40" maxlength="60"
			value="[heading]" /></td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td><textarea name="mail_text" rows="10" cols="30">[enter message here]</textarea></td>
		<td></td>
	</tr>
	<tr>
		<td><input type="submit" value="Post Details" /></td>
		<td><input type="reset" value="Clear Form" /></td>
	</tr>
</table>
<h2>User Notes</h2>
<p>The LDAP Admin User ID should be your normal LAN user id.</p>
<p>The Admin User LDAP context defaults to the correct one for IT staff.</p>
<p>If your user id is in a different context then alter it
approriately, bearing in mind the need to use LDAP syntax with a comma
rather than a stop as the delimiter.</p>
<p>The LDAP Password will be the normal password for the user id.</p>
<p>The LDAP server can be changed if desired, but its probably best
to use the default server or another of the DS master servers in the
tree.</p>
<p>The Base OU for user search is the point at the tree at which the
search starts. It can be made blank to search the entire tree. The
search context is always used, even when looking up home directory on
servers.</p>
<p>Make sure you check the radio box for the options you want. These
are:-</p>
<ul>
	<li>1) whether to list all users or only users with the home
	directory on a named server.</li>
</ul>

<p>You'll want to use the all users in context option if you are
alerting the users on changes to shared drives/login script and so on,
and the home directory option when the change affects home directories.
You may well need to use both options to get all affected users.</p>
<ul>
	<li>2) Whether to send emails directly, or just to get a web page
	with a list of user ids.</li>
</ul>
<p>I suggest its probably going to be best practice to just get the
list of addresses and put them in your email system: the form option is
there for convenience, especially in an emergency.</p>
<p>Results will not include - of course - users for which no email
address could be found on the mail system</p>
<p>Email addresses are looked up in the ID vault, but if the user
isn't in the ID vault for any reason it also tries the File and print
tree for an email address.</p>
<p>If you use the email forms then the emails will be configured as
coming from your user id. This will be looked up in the ID vault too.</p>
<p>When you use the list option then copy and paste the list of
emails from the resulting form to your email client (or wherever). If
you use the form then the emails will be sent without further warning,
typos and all!</p>

</form>
</body>
</html>
